### Method

# FwupdPlugin EfiSignatureList is_external

since: 2.1.7

#### Declaration [src]

    gboolean
    fu_efi_signature_list_is_external (
      FuEfiSignatureList* self
    )

#### Description [src]

Tests if the signature list is for a platform with an external out-of-band management agent (e.g. hypervisor or service processor) that means runtime EFI updates to the KEK or db will likely fail.

Available since: 2.1.7

#### Return value

Type: `gboolean`

`TRUE` if there is exactly one signature with `FuEfiSignatureKind.External`.